registercheckby openlaw group
API referenceLists

Remove an item from a list

DELETE
/lists/{list_id}/items/{item_id}

Free.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key, sent as Authorization: Bearer rc_live_….

In: header

Path Parameters

list_id*string

The list's id (lst_…). Until 2026-12-31 a raw UUID is still accepted, and the response says so with Deprecation and Sunset.

Match^lst_[0-7][0-9a-hjkmnp-tv-z]{25}$
item_id*string

The list item's id (lsi_…). Until 2026-12-31 a raw UUID is still accepted, and the response says so with Deprecation and Sunset.

Match^lsi_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://api.registercheck.de/v1/lists/lst_03jpxwnd679fz8jjz4wm15dq4g/items/lsi_5h1dyxgynk830rpqqb74sa13h0" \  -H "Authorization: Bearer $REGISTERCHECK_API_KEY"
{  "object": "list",  "id": "lst_1c9sn8p79z99e9wyrf38nkrkay",  "deleted": true}